const OracleService = require('../service/OracleService');

class adqVerifItComandaPendModel {
  constructor() {
    this.GET_ADQVERIFITCOMANDAPEND = `
            SELECT CDFILIAL
              FROM ITCOMANDAPEND
             WHERE CDFILIAL  = :P_CDFILIAL
               AND CDLOJA    = :P_CDLOJA
               AND NRVENDARESTPEND = :P_NRVENDARESTPEND
               AND NRCOMANDAPEND   = :P_NRCOMANDAPEND
               AND NRPRODCOMVENPEN = :P_NRPRODCOMVENPEN
               AND QTPRODCOMVENPEN = :P_QTPRODCOMVENPEN
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFITCOMANDAPEND, params);
    });
  }
}

module.exports = new adqVerifItComandaPendModel();
